Subject: bug#26796: closed (Re: bug#26796: 26.0.50; (2 characters) is usually wrong)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 May 2017 10:39:02 +0000

Your bug report

#26796: 26.0.50; (2 characters) is usually wrong

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26796: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26796
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26796: 26.0.50; (2 characters) is usually wrong
From: Lars Ingebrigtsen <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 06 May 2017 12:38:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> I see "1 characters" here.  I think the result depends on who you type
> the above: if there are two characters, a followed by ́, then the file
> really has 2 characters, and they are only shown as one on display.
> Try "C-u C-x =" to see what you have in the buffer.

No, it was an á, but the problem was instead that I apparently had
fumbled and added a newline before saving?  Hm.  Sorry for the noise;
closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

Subject: 26.0.50; (2 characters) is usually wrong
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Sat, 06 May 2017 11:49:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce, open a file, type in "á" and save the file.  Emacs will
now say (if you're a utf-8 kind of person)

Wrote ‘/tmp/a’ (2 characters)

which is wrong, since there's just one character in the buffer.  Perhaps
saying "(2 bytes)" will be more helpful?

(I'd rather Emacs default to not saying anything about the length of the
file saved at all by default, since it's just noise to me (and I'll
assume to most people).)

In GNU Emacs 26.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2017-04-24 built on stories
Repository revision: a1f93c1dfa53dbe007faa09ab0c6e913e86e3ffe
Windowing system distributor 'The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.7 (jessie)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no